# Thomas Nagy, 2004 <tnagy2^8@yahoo.fr>

sources = [
'kdissasciidoc.cpp'
]

templates = [
'kdissasciidoc',
'kdisshtmldoc',
'kdissOOOdoc',
'kdissOOOimpress',
'kdissprosperslides',
'kdissbeamerslides',
'kdisspdflatexbook',
'kdisspdflatexarticle'
]

## use the myenvironment set in SConstruct
Import( "*" )
myenv=env.Copy()

## additional paths for source files
myenv.Append(CPPPATH=[
'../kdissert/datastruct', '../kdissert/gui', '../kdissert/generator', 
'../kdissert/treelistview', '../kdissert/canvasview', '../kdissert', '../'])

## libraries to link against
KDEaddlibs( ['qt-mt', 'kdecore'], myenv )

## all targets
for name in templates:
    KDEshlib( 'lib'+name, [name+'.cpp'], myenv )
    KDEinstall( env['KDEDATA']+'/kdissert/templatedata/', name+'.tar.gz', myenv )
